---
layout: default
---

{%- include read-time-page.html -%}

<div class="max-width-hdpi">

  <article class="post h-entry group" itemscope itemtype="http://schema.org/BlogPosting">

    <header class="post-header no-bottom-margin group">
      
      <div class="flex-wrap-c-center no-bottom-margin">
        <div class="col-7">
          {% if page.categories %}
            {% for category in page.categories %}
              <span class="post-breadcrumbs uppercase f-acumin post-list-category f-s-14px"><a href="/">Home</a> / <a href="/{{ category | downcase }}/">{{ category | replace: '-',' ' }}</a> /</span>
            {% endfor %}
          {% endif %}
          
          {% if page.title-maxwidth %}
          <h1 class="post-title p-name" itemprop="name headline" style="max-width: {{ page.title-maxwidth }}">{{ page.title | escape }}</h1>
          {% else %}
          <h1 class="post-title p-name" itemprop="name headline">{{ page.title | escape }}
          </h1>
          {% endif %}
          <hr>
          
          <p class="post-meta">
            {%- if page.author -%}
            {% assign author = site.data.authors[page.author] %}
            <img srcset="{{ author.avatar | replace: '@2x','' }},
                                  {{ author.avatar | replace: '@2x','@1-5x' }} 1.5x,
                                  {{ author.avatar }} 2x" src="{{ author.avatar }}" alt="{{ author.name }}" class="floatLeft"
              width="48">
            <span itemprop="author" itemscope itemtype="http://schema.org/Person">
              <span class="p-author h-card" itemprop="name">
                {{ author.name }}
              </span>
            </span><br />
            {%- endif -%}
            <time class="dt-published" datetime="{{ page.date | date_to_xmlschema }}" itemprop="datePublished">
              {%- assign date_format = site.minima.date_format | default: "%b %-d, %Y" -%}
              {{ page.date | date: date_format }}
            </time> ~ {{ reading_time }}
          </p>
        </div>

        {%- if page.image -%}
        <div class="col-5">
          <img srcset="{{ page.image | replace: '@2x','' }},
                    {{ page.image | replace: '@2x','@1-5x' }} 1.5x,
                    {{ page.image }} 2x" src="{{ page.image }}" alt="{{ page.title }}">
        </div>
        {%- endif -%}
      </div>

    </header>

    <div class="post-content e-content off-1 col-7" itemprop="articleBody">
      {% if page.intro %}
        <p class="post-intro tagline-large f-meta">{{ page.intro }}</p>
      {% endif %}
      
      {{ content | inject_anchors }}

      {%- if page.author -%}
        {%- include post/about-author.html -%}
      {%- endif -%}
      
      {%- if site.disqus.shortname -%}
        {%- include post/disqus_comments.html -%}
      {%- endif -%}
    </div>

    <a class="u-url" href="{{ page.url | relative_url }}" hidden></a>
    
    <aside class="post-sidebar col-4">
      {% include post/tags.html %}
    
      {% include post/toc.html %}
    
      {% include post/share.html %}
    </aside>
  
  </article>

</div>